Skip to content
Start here

Monitor Group Details

client.LoadBalancers.MonitorGroups.Get(ctx, monitorGroupID, query) (*MonitorGroup, error)
GET/accounts/{account_id}/load_balancers/monitor_groups/{monitor_group_id}

Fetch a single configured monitor group.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
monitorGroupID string
query MonitorGroupGetParams
AccountID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type MonitorGroup struct{…}
ID string

The ID of the Monitor Group to use for checking the health of origins within this pool.

Description string

A short description of the monitor group

Members []MonitorGroupMember

List of monitors in this group

Enabled bool

Whether this monitor is enabled in the group

MonitorID string

The ID of the Monitor to use for checking the health of origins within this pool.

MonitoringOnly bool

Whether this monitor is used for monitoring only (does not affect pool health)

MustBeHealthy bool

Whether this monitor must be healthy for the pool to be considered healthy

CreatedAt Timeoptional

The timestamp of when the monitor was added to the group

formatdate-time
UpdatedAt Timeoptional

The timestamp of when the monitor group member was last updated

formatdate-time
CreatedAt Timeoptional

The timestamp of when the monitor group was created

formatdate-time
UpdatedAt Timeoptional

The timestamp of when the monitor group was last updated

formatdate-time

Monitor Group Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/load_balancers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  monitorGroup, err := client.LoadBalancers.MonitorGroups.Get(
    context.TODO(),
    "17b5962d775c646f3f9725cbc7a53df4",
    load_balancers.MonitorGroupGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", monitorGroup.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}